
Redmine - Feature #5835

Allow links to other project's changesets

2010-07-08 02:56 - Jim Naslund

Status: Closed Start date: 2010-07-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

It would be nice to qualify the project of a link e.g. project-id:r20 to link to changeset 20 of project-id. This is especially useful for

subprojects. Right now there doesn't seem to be a clean way to link to a subproject's changeset from its parent.

Related issues:

Related to Redmine - Feature #7409: Cross project Redmine links Closed 2011-01-22

Has duplicate Redmine - Defect #6454: Referencing a revision from a subprojec... Closed 2010-09-21

History

#1 - 2010-07-09 11:03 - Holger Just

- Subject changed from Qualifying links to Allow links to other project's changesets

- Category set to Text formatting

#2 - 2010-07-28 10:57 - Henrik Ammer

Also this is needed when someone commit to the repo with a text that should close or refer a ticket but the ticket is in a subproject of the project that

has the repo.

Confused?

Project 1 - Has the repo

Subproject 1 - Has the ticket that should be closed/refered

Better now? :)

#3 - 2010-09-23 22:49 - Mischa The Evil

Henrik Jönsson wrote:

Also this is needed when someone commit to the repo with a text that should close or refer a ticket but the ticket is in a subproject of the project

that has the repo.

Confused?

Project 1 - Has the repo

Subproject 1 - Has the ticket that should be closed/refered

Better now? :)

 Henrik, am I right when I say that this specific case is already fixed/implemented by Jean-Philippe with r3357 for issue #4674?

#4 - 2021-02-05 21:32 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Fixed

Jim Naslund wrote:

It would be nice to qualify the project of a link e.g. project-id:r20 to link to changeset 20 of project-id. [...]

 This was actually implemented for issue #7409 with the following syntax:
https://www.redmine.org/projects/redmine/repository/svn/revisions/3357
https://www.redmine.org/issues/4674
https://www.redmine.org/issues/7409


sandbox:r758 (link to a changeset of another project with identifier "sandbox")

sandbox:commit:c6f4d0fd (link to a changeset with a non-numeric hash of another project with identifier "sandb

ox")

 Closing as such. Please re-open if needed.

#5 - 2021-02-05 21:32 - Mischa The Evil

- Related to Feature #7409: Cross project Redmine links added
